#ifndef _RTW_COMMON_HEADER_FILE_
#define _RTW_COMMON_HEADER_FILE_

#ifndef TRUE
# define TRUE (1)
#endif
#ifndef FALSE
# define FALSE (0)
#endif

#define fcn_call_T                      real_T
#define pointer_T                       void*
#define action_T                        real_T

#define assert(exp)

#include <math.h>
#include <float.h>
#include <string.h>
#include "ertformat.h"
#include "rtlibsrc.h"
#include "exp6_export.h"

extern void rqstCalcFltr1(void);

typedef struct BlockIO_tag {
  real_T Zero_Order_Hold3[6];
} BlockIO;

typedef struct Parameters_tag {
  real_T Constant_Value[6];
  real_T Gain_Gain;
} Parameters;

#if defined(MULTITASKING)
# error Model (exp6) was built in \
  SingleTasking solver mode, however the MULTITASKING define is \
  present. If you have multitasking (e.g. -DMT or -DMULTITASKING) \
  defined on the RTW page of Simulation parameter dialog, please \
  remove it and on the Solver page, select solver mode \
  MultiTasking. If the Simulation parameter dialog is configured \
  correctly, please verify that your template makefile is \
  configured correctly.
#endif

#endif

